require 'spec_helper'

describe Flunkey::Functions do

  class Dummy
    include Flunkey::Functions
    attr_accessor :settings

    def initialize
      @settings = OpenStruct.new
    end
  end

  subject { Dummy.new.tap{|d| d.settings.paths = %w{/tmp}.map{|s| Pathname.new s} } }

  it "recognizes paths" do
    subject.recognize(nil).should be_nil
    root = subject.settings.paths.first
    a = Pathname.new '/tmp/a'
    subject.recognize(a).should == [root, a]

    a = Pathname.new 'tmp/a'
    subject.recognize(a).should == [root, Pathname.new('/tmp/a')]

    a = Pathname.new 'tmp'
    subject.recognize(a).should == [root, Pathname.new('/tmp')]

    a = Pathname.new '/foo/bar'
    subject.recognize(a).should == [nil, a]
  end
end
