require 'spec_helper'

describe Flunkey::Helpers do
  include Flunkey::Helpers

  it "renders absolute url paths" do
    root = Pathname.new('/some/tmp')
    p1 = Pathname.new('/some/tmp/a/b.sh')
    to_url(root, p1).should == '/tmp/a/b.sh'
    to_url(root, root).should == '/tmp'
  end

  it "calculates breadcrumbs" do
    root = Pathname.new('/some/tmp')
    breadcrumbs(root, Pathname.new('/some/tmp/a/b')).should == [
      Pathname.new('/some/tmp'),
      Pathname.new('/some/tmp/a'),
      Pathname.new('/some/tmp/a/b')
    ]
    breadcrumbs(root, Pathname.new('/some/tmp')).should == [
      Pathname.new('/some/tmp')
    ]
  end
end
