require 'spec_helper'

describe Flunkey::PathnameExtensions do
  it "detects bundles" do
    # Mac applications are bundles
    Pathname.new('/Applications/Safari.app').bundle?.should be_true

    # standard directories are not bundles
    Pathname.new(File.dirname(__FILE__)).bundle?.should be_false

    # Files are not bundles
    Pathname.new(__FILE__).bundle?.should be_false
  end

  it "shows parent directories" do
    Pathname.new('/tmp').is_parent_of?(Pathname.new('/tmp/a/b')).should be_true
    Pathname.new('/foo').is_parent_of?(Pathname.new('/tmp/a/b')).should be_false
    Pathname.new('/foo').is_parent_of?(Pathname.new('/foobar')).should be_false
    Pathname.new('/foo').is_parent_of?(Pathname.new('/foo')).should be_false
  end

  it "filters children" do
    root = Pathname.new File.expand_path('../..', File.dirname(__FILE__))
    root.filtered_children.should_not include(root + '.DS_Store')
  end
end
